<ion-header>
    <ion-toolbar>
        <ion-buttons>
            <ion-title> <img src="../../../assets/img/Shopcart.png"></ion-title>

        </ion-buttons>
    </ion-toolbar>
</ion-header>

<ion-content class="ion-padding">

    <form [formGroup]="loginform" (ngSubmit)="login()">

        <div class="row">

            <h3 text-center>Login</h3>

            <div>
                <ion-item>
                    <ion-label position="floating" class="light-color">Email Id</ion-label>
                    <ion-input type="text" formControlName="email" class="form-control" [ngClass]="{ 'is-invalid': submitted && f.email.errors }">
                    </ion-input>

                </ion-item>
                <div *ngIf="submitted && f.email.errors" class="invalid-feedback">
                    <div class="err-msg" *ngIf="f.email.errors.required">Email is required</div>
                </div>
            </div>



            <div>
                <ion-item>
                    <ion-label position="floating" class="light-color">Password</ion-label>
                    <ion-input type="text" formControlName="password" class="form-control" [ngClass]="{ 'is-invalid': submitted && f.password.errors }"></ion-input>


                </ion-item>
                <div *ngIf="submitted && f.password.errors" class="invalid-feedback">
                    <div class="err-msg" *ngIf="f.password.errors.required">Last Name is required</div>
                </div>
            </div>

            <div>
            </div>

            <div>
                <h6 text-right class="light-color">Forgot Password</h6>
            </div>

            <!-- <div class="col-md-12">
                        <label>First Name</label>
                        <input type="text" formControlName="firstName" class="form-control" [ngClass]="{ 'is-invalid': submitted && f.firstName.errors }" />
                        <div *ngIf="submitted && f.firstName.errors" class="invalid-feedback">
                            <div *ngIf="f.firstName.errors.required">First Name is required</div>
                        </div>
                    </div>
                    <div class="col-md-12">
                        <input type="text" formControlName="lastName" class="form-control" [ngClass]="{ 'is-invalid': submitted && f.lastName.errors }" />
                        <div *ngIf="submitted && f.lastName.errors" class="invalid-feedback">
                            <div *ngIf="f.lastName.errors.required">Last Name is required</div>
                        </div>
                    </div> -->
        </div>

        <div class="login-btn">
            <ion-button type="submit" expand="block" class="">Login</ion-button>
        </div>

        <h6 text-center class="light-color" [routerLink]="['/signup']">
            Dont Have Account Yet.? Register Now
        </h6>


    </form>

</ion-content>